libinput-debug-events(1)

NAME
libinput-debug-events - debug helper for libinput

SYNOPSIS
libinput debug-events [options]

libinput debug-events [options] --udev <seat>

libinput debug-events [options] [--device] /dev/input/event0 [/dev/input/event1...]

DESCRIPTION

The libinput debug-events tool creates a libinput context and prints all events from these devices.

This is a debugging tool only, its output may change at any time. Do not rely on the output.

This tool usually needs to be run as root to have access to the /dev/input/eventX nodes.

OPTIONS

--device /dev/input/event0
    Use the given device(s) with the path backend. The --device argument may be omitted.

--grab
    Exclusively grab all opened devices. This will prevent events from being delivered to the host system.

--help
    Print help

--quiet
    Only print libinput messages, don't print anything from this tool. This is useful in combination with --verbose for internal state debugging.

--show-keycodes
    Key events shown by this tool are partially obfuscated to avoid passwords and other sensitive information showing up in the output. Use the --show-keycodes argument to make all keycodes visible.

--udev <seat>
    Use the udev backend to listen for device notifications on the given seat. The default behavior is equivalent to --udev "seat0".

--verbose
    Use verbose output

  libinput configuration options

--apply-to="pattern"
    Configuration options are only applied where the device name matches the pattern. This pattern has no effect on the --disable-sendevents option.

--disable-sendevents="pattern"
    Set the send-events option to disabled for the devices matching patterns. This option is not affected by the --apply-to="pattern" option.

--enable-tap|--disable-tap
    Enable or disable tap-to-click

--enable-drag|--disable-drag
    Enable or disable tap-and-drag

--enable-drag-lock|--disable-drag-lock
    Enable or disable drag-lock

--enable-natural-scrolling|--disable-natural-scrolling
    Enable or disable natural scrolling

--enable-left-handed|--disable-left-handed
    Enable or disable left handed button configuration

--enable-middlebutton|--disable-middlebutton
    Enable or disable middle button emulation

--enable-dwt|--disable-dwt
    Enable or disable disable-while-typing

--enable-dwtp|--disable-dwtp
    Enable or disable disable-while-trackpointing

--enable-scroll-button-lock|--disable-scroll-button-lock
    Enable or disable the scroll button lock

--set-click-method=[none|clickfinger|buttonareas]
    Set the desired click method

--set-clickfinger-map=[lrm|lmr]
    Set button mapping for clickfinger

--set-scroll-method=[none|twofinger|edge|button]
    Set the desired scroll method

--set-scroll-button=BTN_MIDDLE
    Set the button to the given button code

--set-profile=[adaptive|flat|custom]
    Set pointer acceleration profile

--set-speed=<value>
    Set pointer acceleration speed. The allowed range is [-1, 1]. This only applies to the flat or adaptive profile.

--set-custom-points="<value>;...;<value>"
    Sets the n points defining a custom acceleration function The points are defined in a semicolon-separated list of floating point non-negative numbers. Defaults to "0.0;1.0". This only applies to the custom profile.

--set-custom-step=<value>
    Sets the distance along the x-axis between each point, starting from 0. Defaults to 1.0. This only applies to the custom profile.

--set-custom-type=[fallback|motion|scroll]
    Sets the type of the custom acceleration function. Defaults to fallback. This only applies to the custom profile.

--set-tap-map=[lrm|lmr]
    Set button mapping for tapping

--set-rotation-angle=<degrees>
    Set the rotation angle in degrees (0 to 360).

--set-pressure-range=<min>:<max>
    Set the tablet tool pressure range to min:max. min and max must be in range [0.0, 1.0].

NOTES

Events shown by this tool may not correspond to the events seen by a different user of libinput. This tool initializes a separate context.

LIBINPUT
Part of the libinput(1) suite